Q_XSETQLIM(2const)

NAME
Q_XSETQLIM - set quota limits

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <xfs/xqm.h>      /* See quotactl(2) */
#include <sys/quota.h>

int quotactl(QCMD(Q_XSETQLIM, type), const char *_Nullable special,
             int id, caddr_t addr);

#include <xfs/xqm.h>      /* See quotactl_fd(2) */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_XSETQLIM, type),
            int id, struct fs_disk_quota *addr);

DESCRIPTION
Set disk quota limits for user id.

The addr argument is a pointer to an fs_disk_quota(2type) structure.

This operation requires privilege (CAP_SYS_ADMIN).

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux.

SEE ALSO
quotactl(2), quotactl_fd(2), fs_disk_quota(2type)